Skip to main content
GET
/
api
/
v2
/
accounts
/
userId
/
{userId}
Get Accounts by UserId
curl --request GET \
  --url https://sandbox.killb.app/api/v2/accounts/userId/{userId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
    "userId": "7f0a8ad6-29a1-4a66-a6c4-8bb398eb78d1",
    "type": "PSE",
    "status": "ACTIVE",
    "data": {
      "document": {
        "type": "NIT",
        "number": "123456",
        "issuedCountryCode": "CO"
      },
      "accountNumber": "10203049",
      "bankCode": "001",
      "type": "checking",
      "countryCode": "CO",
      "firstName": "John",
      "middleName": "Carlos",
      "lastName": "Doe",
      "companyName": "Acme Corp",
      "email": "[email protected]",
      "phone": "+576015555555"
    },
    "externalId": "d00e4f43-2022-42f3-ba1c-dcf4c1dcd934",
    "complianceUrl": "https://sumsub.com/review/12345",
    "createdAt": "2026-04-23T00:38:08.439Z",
    "updatedAt": "2026-04-23T00:38:08.439Z"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

userId
string
required

Response

id
string
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

userId
string
required
Example:

"7f0a8ad6-29a1-4a66-a6c4-8bb398eb78d1"

type
string
required
Example:

"PSE"

status
string
required
Example:

"ACTIVE"

data
PSE · object
required
externalId
string
required

A unique identifier used to identify your existing user.

Example:

"d00e4f43-2022-42f3-ba1c-dcf4c1dcd934"

complianceUrl
string
required
Example:

"https://sumsub.com/review/12345"

createdAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"

updatedAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"